当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]7.04下pidgin编译失败,有编过去的进来聊聊
帖子发表于 : 2007-05-05 13:21 
头像

注册: 2006-06-25 6:19
帖子: 92
送出感谢: 0 次
接收感谢: 0 次
./configure的时候把提示缺少的关键包都已经安装上了,configure后提示没有SSL,但我实在是不知道缺少哪个和SSL相关的包;继续make后中间提示错误:
/bin/sh: -o: not found
make[2]: *** [af.gmo] 错误 127

请问大家都是怎么编过去的?


_________________
国服2区MC部落


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-05-05 13:57 

注册: 2007-03-17 18:57
帖子: 124
地址: 广东广州
送出感谢: 0 次
接收感谢: 0 次
相关的有这几个包:
libssl-dev / libssl0.9.8/libwww-ssl-dev/libwww-ssl0/links-ssl/openssl
不知道你需要哪个ssl包?
或者你可以逐个试试看。
其实你用 aptitude search ssl 这条命令就可以找到有关ssl的deb包有哪些了。


_________________
我用ubuntu 6.06,gnome桌面~
结果装个qBittorrent搞不定,
然后就换到ubuntu 7.04了..同样是gnome桌面~
定制才是王道!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-05-05 19:49 
头像

注册: 2007-04-03 9:52
帖子: 353
送出感谢: 0 次
接收感谢: 0 次
我就在装apache2时装了一个libssl0.9.8,
好像可以指定不用ssl,
不记得加什么参数了

看下源码包里的说明


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-05-05 22:13 

注册: 2006-10-27 17:06
帖子: 100
送出感谢: 0 次
接收感谢: 0 次
要想用msn,它会提示安装可用的ssl
装libgnutls-dev就可解决


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-05-05 23:30 

注册: 2006-08-18 10:42
帖子: 82
送出感谢: 0 次
接收感谢: 0 次
我的是make通不过。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-05-05 23:44 

注册: 2007-05-05 23:32
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
楼主你好,我在编译的时候也遇到了跟你一样的问题。通过Google找到了这篇文章。

由于错误是bash给出的,所以我想问题会不会是命令格式不正确呢?然后我到make文件里查看了一下,有这么一行
引用:
.po.gmo:
file=`echo $* | sed 's,.*/,,'`.gmo \
&& rm -f $$file && $(GMSGFMT) -o $$file $<
当我在文件开头找到GMSGFMT变量的时候发现它是空的。Google了一下知道GMSGFMT即是指向MSGFMT,而MSGFMT是一个程序,包含在gettext包里。我的系统里并没有这个包,安上这个包之后,make就成了。

希望你的问题也是如此,Good Luck!


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-05-06 10:33 

注册: 2006-08-18 10:42
帖子: 82
送出感谢: 0 次
接收感谢: 0 次
应该向楼上的这位兄弟学习!

已经有包了啊!http://linuxdesktop.cn/pidgin2-for-feisty-deb-is-available


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-05-06 11:33 

注册: 2006-12-09 10:31
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
缺少SSL可以先安裝libgnutls10-dev

然後在編譯的時候如下輸入

代码:
 ./configure --enable-gnutls=yes
 sudo make
 sudo make install


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-05-06 19:13 

注册: 2005-08-11 16:56
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
baozhumm 写道:
应该向楼上的这位兄弟学习!

已经有包了啊!http://linuxdesktop.cn/pidgin2-for-feisty-deb-is-available

刚刚下了装了一下,确实MSN和QQ都可以用
谢谢推荐
QQ的分组好像不能用,还有群好像也不能用


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-05-06 23:39 
头像

注册: 2007-03-01 20:46
帖子: 2393
地址: 湖南长沙
送出感谢: 0 次
接收感谢: 0 次
eric724 写道:
baozhumm 写道:
应该向楼上的这位兄弟学习!

已经有包了啊!http://linuxdesktop.cn/pidgin2-for-feisty-deb-is-available

刚刚下了装了一下,确实MSN和QQ都可以用
谢谢推荐
QQ的分组好像不能用,还有群好像也不能用

群需要自己手动添加,在工具->房间列表里边,输入自己拥有的哪些群号,然后点击“加入”,这样就可以有群了,下次启动就不用再手动了~~


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-05-07 3:01 

注册: 2005-08-11 16:56
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上的 ,不知道分组的问题有没有好的解决方案


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-05-07 11:05 
头像

注册: 2007-01-21 20:10
帖子: 749
送出感谢: 0 次
接收感谢: 0 次
这里又for feisty的deb包的
http://linuxdesktop.cn/pidgin2-for-feis ... -available


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-05-07 11:18 

注册: 2006-03-27 17:16
帖子: 106
送出感谢: 0 次
接收感谢: 0 次
安装方法见这里:http://blog.eshangrao.com/index.php/2007/05/05/387-ubuntu-feisty-pidgin-20


页首
 用户资料  
 
14 楼 
 文章标题 : look this one
帖子发表于 : 2007-05-07 21:28 

注册: 2006-12-25 4:11
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
http://download.ubuntu.pl/_Feisty_Fawn/ ... 1_i386.deb


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译